Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations

CheckVipPortAvailability

CheckVipPortAvailability

GET/zstack/v1/vips/{vipUuid}/check-port-availability

Operation ID

CheckVipPortAvailability

Since

4.7.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vipUuid
    StringRequired

    Path parameter.

Body Fields

  • paramsstructure
    ObjectRequired

    paramsstructure request body object.

    • vipUuid
      StringRequired

      The VIP UUID.

    • protocolType
      StringRequired

      The protocol type.

    • port
      intRequired

      The port to be queried.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • available
    booleanRequired

    The available.

  • Change Time

    AddedRequest body fields paramsstructure
    View API